# Test Application Webhook Subscription

Generate test notifications for an existing application subscription.

Test notifications will have the correct structure for their source subscription's event type and version, and will contain "dummy" data. These data include random UUIDs, entity IDs of zero, current dates and times, and hard-coded status codes.

Test notifications are delivered with the usual notification HTTP request headers, including a unique delivery ID for the notification, and a "test notification" flag set to true. You can check for the presence of this test flag to determine that an incoming notification is a test notification which should not be processed as real data. See the section Event HTTP requests for more information on request headers.

When test notifications are created with the API, they are queued for sending in the same way as non-test notifications. This means that there may be some delay in notification delivery, and delivery failures will result in attempts to redeliver the notification later. The API returns the delivery IDs of the notifications that have been successfully queued for sending, which can be correlated with the delivery ID header values for notifications you later receive.

{% admonition type="info" %}
This test notification API is only available for application-based subscriptions. Profile-based subscriptions do not currently support this testing feature.
{% /admonition %}

Endpoint: POST /v3/applications/{clientKey}/subscriptions/{subscriptionId}/test-notifications
Security: ClientCredentialsToken

## Path parameters:

  - `clientKey` (string, required)
    Your application's client key.

  - `subscriptionId` (string, required)
    UUID of the subscription.

## Response 200 fields (application/json):

  - `delivery_id` (string)
    ID of the delivery that was queued for sending.
    Example: "4a6b9810-4279-4de5-8d8d-1a6cf3b92a75"

  - `created_at` (string)
    Timestamp of when the test notification was created.
    Example: "2019-03-28T11:22:33Z"


